<template>
    <Form
        title="Create"
        @submit="submit"
    />
</template>

<script>
import adminUsers from '@/mixins/admin/users.service';
import Form from '@/components/super-admin/user/Form.vue'

export default {
    name: "AdminUserCreate",
    components: {
        Form
    },
    mixins: [adminUsers],
    methods: {
        async submit(e) {
            e.selected.forEach((platform) => {
                this.createAdminUser(this.$route.params.id, platform, e.payload).then((res) => {
                    this.$notify({
                        type: 'success',
                        title: res.data[0]
                    });
                    this.$router.push('/admin/users');
                }).catch((error) => {
                    console.log(error)
                });
            })

        },
    },
};
</script>

<style scoped lang="scss">
    @import "../../../../resources/css/colors.scss";

    .page-container {
        padding-top: 80px;
    }

    .title {
        font-size: 28px;
        font-weight: bold;
        color: $blue-color;
        margin-bottom: 15px;
    }

</style>
